USN-6073-5

See a problem?
Source
https://ubuntu.com/security/notices/USN-6073-5
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6073-5.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6073-5
Published
2023-05-14T16:59:12.419076Z
Modified
2023-05-14T16:59:12.419076Z
Summary
nova regression
Details

USN-6073-3 fixed a vulnerability in Nova. The update introduced a regression causing Nova to be unable to detach volumes from instances. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

Jan Wasilewski and Gorka Eguileor discovered that Nova incorrectly handled deleted volume attachments. An authenticated user or attacker could possibly use this issue to gain access to sensitive information.

This update may require configuration changes to be completely effective, please see the upstream advisory for more information:

https://security.openstack.org/ossa/OSSA-2023-003.html

References

Affected packages

Ubuntu:20.04:LTS / nova

Package

Name
nova

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:21.2.4-0ubuntu2.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "nova-compute-libvirt": "2:21.2.4-0ubuntu2.4",
            "nova-volume": "2:21.2.4-0ubuntu2.4",
            "nova-doc": "2:21.2.4-0ubuntu2.4",
            "nova-novncproxy": "2:21.2.4-0ubuntu2.4",
            "nova-api-os-compute": "2:21.2.4-0ubuntu2.4",
            "nova-compute-kvm": "2:21.2.4-0ubuntu2.4",
            "nova-ajax-console-proxy": "2:21.2.4-0ubuntu2.4",
            "nova-spiceproxy": "2:21.2.4-0ubuntu2.4",
            "nova-compute-vmware": "2:21.2.4-0ubuntu2.4",
            "nova-compute-xen": "2:21.2.4-0ubuntu2.4",
            "nova-serialproxy": "2:21.2.4-0ubuntu2.4",
            "nova-conductor": "2:21.2.4-0ubuntu2.4",
            "nova-compute": "2:21.2.4-0ubuntu2.4",
            "python3-nova": "2:21.2.4-0ubuntu2.4",
            "nova-scheduler": "2:21.2.4-0ubuntu2.4",
            "nova-compute-lxc": "2:21.2.4-0ubuntu2.4",
            "nova-common": "2:21.2.4-0ubuntu2.4",
            "nova-api": "2:21.2.4-0ubuntu2.4",
            "nova-api-os-volume": "2:21.2.4-0ubuntu2.4",
            "nova-compute-qemu": "2:21.2.4-0ubuntu2.4",
            "nova-cells": "2:21.2.4-0ubuntu2.4",
            "nova-api-metadata": "2:21.2.4-0ubuntu2.4"
        }
    ]
}